Get Transactions

The Get Transactions endpoint retrieves a list of historical transactions associated with a specific bank account linked by a user via LinkSDK, identified by both the entity_id and the account_id. Each transaction object contains fields such as amount, status, balance after each transaction, transaction category and type, and additional information. Requires an active entity with the transactions permission to use.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

The account_id used to fetch requested data

Query Params
boolean
Defaults to false
deprecated

When true the API will return a results_id which can be fetched from the /data/v2/results endpoint when ready. Note: it's recommended to use the sync flow (async=false) for all requests by adapting the data workflow for connected entities.

integer
≥ 0
Defaults to 0

The page you're requesting - returns page 0 of a response if not specified.

integer
1 to 100
Defaults to 50

The number of objects you want to return as a page size.

uuid

The entity_id you're querying for, which is created by LinkSDK .connect() function.

string

Additional data you would like to store against the request. Example: {"foo": "val"}

Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json